Upgrade failure - suggestions?


#1

I'm a patreon supporter.

Issue: Tried upgrading (currently 1.3.6), failed.
Last message in log: ! OSError: [Errno 2] No such file or directory: '/home/pi/oprint/local/lib/python2.7/site-packages/rsa-3.2-py2.7.egg'

Not sure at which level to begin fixing this - go add python 2.7? uninstall/reinstall?

log attached (would do two, but new users can't), thanks,
Jim

plugin_softwareupdate_console.log (1.1 MB)


#2

Have you rebooted and tried upgrading again? Interestingly, it upgrades rsa, then uninstalls it and then complains it can't find it. It's a weird ordering thing.

If necessary we can add a manual step or two to this.


#3

Reading your log...

2017-12-20 23:35:10,442 > Using /home/pi/oprint/lib/python2.7/site-packages/pkginfo-1.2.1-py2.7.egg
2017-12-20 23:35:10,442 > Searching for rsa==3.2
2017-12-20 23:35:10,443 > Best match: rsa 3.2
2017-12-20 23:35:10,444 > Processing rsa-3.2-py2.7.egg
2017-12-20 23:35:10,444 > rsa 3.2 is already the active version in easy-install.pth
2017-12-20 23:35:10,445 > Installing pyrsa-encrypt-bigfile script to /home/pi/oprint/bin
2017-12-20 23:35:10,445 > Installing pyrsa-encrypt script to /home/pi/oprint/bin
2017-12-20 23:35:10,446 > Installing pyrsa-verify script to /home/pi/oprint/bin
2017-12-20 23:35:10,447 > Installing pyrsa-sign script to /home/pi/oprint/bin
2017-12-20 23:35:10,447 > Installing pyrsa-priv2pub script to /home/pi/oprint/bin
2017-12-20 23:35:10,448 > Installing pyrsa-decrypt script to /home/pi/oprint/bin
2017-12-20 23:35:10,449 > Installing pyrsa-decrypt-bigfile script to /home/pi/oprint/bin
2017-12-20 23:35:10,449 > Installing pyrsa-keygen script to /home/pi/oprint/bin
...
2017-12-20 23:35:10,451 > Using /home/pi/oprint/lib/python2.7/site-packages/rsa-3.2-py2.7.egg
...
2018-09-28 21:16:48,447 > Collecting rsa<3.3,>=3.2.3 (from OctoPrint==1.3.9)
2018-09-28 21:16:48,454 > Downloading https://files.pythonhosted.org/packages/df/40/7e146be0b15022a84992a485a8503ddb20bebd18a68340f3af5abde534f4/rsa-3.2.3-py2.py3-none-any.whl (44kB)
...
2018-09-28 21:17:07,487 > Requirement already satisfied (use --upgrade to upgrade): pyasn1>=0.1.3 in /home/pi/oprint/lib/python2.7/site-packages (from rsa<3.3,>=3.2.3->OctoPrint==1.3.9)
...
2018-09-28 21:17:07,496 > Installing collected packages: Jinja2, singledispatch, backports-abc, tornado, Flask-Login, markdown, pyserial, netaddr, netifaces, rsa, pkginfo, psutil, python-dateutil, frozendict, OctoPrint
...
2018-09-28 21:17:43,341 > Found existing installation: rsa 3.2
2018-09-28 21:17:43,342 > Uninstalling rsa-3.2:
...
2018-09-28 21:18:10,672 ! OSError: [Errno 2] No such file or directory: '/home/pi/oprint/local/lib/python2.7/site-packages/rsa-3.2-py2.7.egg'

Not that I know what's going on, but it looks like the upgrade happily chugged along using the 3.2 version of rsa... and then decided to remove it (possibly wanting to upgrade to 3.3) and decided that it was unhappy that 3.2 wasn't available.


#4